#eureka client配置
server.port: 8080
eureka:
  client.serviceUrl.defaultZone: http://admin:prolog00212@eureka.bocai-cloud.com:88/eureka/
  instance:
    instanceId: ${spring.application.name}:${server.port}
    preferIpAddress: false
#prolog.tx.url: http://192.168.0.168:7000/tx/manager/

spring:
  application:
    name: upcloud-base-gsp
  #redis配置

  redis:
    host: 192.168.0.168
    port: 6379
    password: prolog0212
    database: 0
  #链路跟踪  
  zipkin:
    sender.type: rabbit
    rabbitmq.queue: trace
  sleuth:
    enable: false
    sampler:
      probability: 1.0
  rabbitmq:
    host: 192.168.0.168
    port: 5672
    username: root
    password: prolog0212
  datasource:
    driverClassName: oracle.jdbc.OracleDriver
    url: jdbc:oracle:thin:@192.168.1.12:1521:orcl
    username: upcloud_base_gsp
    password: upcloud_base_gsp
    initialSize: 0
    minIdle: 5
    maxActive: 50
    maxWait: 60000
    minEvictableIdleTimeMillis: 25200000
prolog:
  dao:
    dialect: oracle
  security:
    accessTokenValiditySeconds: 3600
    refreshTokenValiditySeconds: 30000
  rabbitmqManage:
    username: root
    password: prolog0212
    host: 192.168.0.168

logging:
  config: classpath:log4j2-test.xml
  level.root: debug
